Bug#285368: mv segfaults

2004-12-15 Thread GOTO Masanori
At Mon, 13 Dec 2004 10:15:29 +,
Dick Middleton wrote:
 Yes, i386.  AMD XP2000 512M K7S5A.
 
 Hardware?  Interesting.
 
 I reverted back to libc6 2.3.2.ds1-18 and problem went away.  Except now 
grep fails.  So I'll work on the assumption it could be hardware.

If your memory has not been checked yet, memtest86+ is nice tool to
detect memory breakage.

Regards,
-- gotom


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]



cvs commit to glibc-package/debian by gotom

2004-12-15 Thread Debian GLibc CVS Master
Repository: glibc-package/debian
who:gotom
time:   Wed Dec 15 03:50:52 MST 2004
Log Message:
  - debian/patches/hppa-drop-utimes.dpatch: Fix sudo breakage because
system call utimes() is not defined on hppa.  Patched by Randolph Chung
[EMAIL PROTECTED].  (Closes: #284449)
  
  

Files:
changed:changelog


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]



cvs commit to glibc-package/debian/patches by gotom

2004-12-15 Thread Debian GLibc CVS Master
Repository: glibc-package/debian/patches
who:gotom
time:   Wed Dec 15 03:50:52 MST 2004
Log Message:
  - debian/patches/hppa-drop-utimes.dpatch: Fix sudo breakage because
system call utimes() is not defined on hppa.  Patched by Randolph Chung
[EMAIL PROTECTED].  (Closes: #284449)
  
  

Files:
changed:00list

added:  hppa-drop-utimes.dpatch


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]



Bug#235759: Bug#228486: No mention of german quotes in release-notes yet

2004-12-15 Thread Rob Bradford
On Wed, Dec 15, 2004 at 06:19:33PM +0900, GOTO Masanori wrote:
 At Sat, 11 Dec 2004 14:24:55 +,
 Rob Bradford wrote:
  On Mon, Dec 06, 2004 at 05:41:41PM +0100, Helge Kreutzmann wrote:
 So, I object to add this uncertain issue to the release note.  Rob,
 I'm sorry not to reply this request quickly, but I think we should
 remove it from the release announcement.

Yes of course, sorry, I didn't realise this issue was so problematic.
Please let me know if the situation changes.

For now I have commented out the section.

Cheers,

Rob
-- 
Rob Bradford - http://robster.org.uk


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]



r843 - in glibc-package/trunk/debian: . patches

2004-12-15 Thread Masanori Goto
Author: gotom
Date: 2004-12-15 03:48:51 -0700 (Wed, 15 Dec 2004)
New Revision: 843

Added:
   glibc-package/trunk/debian/patches/hppa-drop-utimes.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
- debian/patches/hppa-drop-utimes.dpatch: Fix sudo breakage because
  system call utimes() is not defined on hppa.  Patched by Randolph Chung
  [EMAIL PROTECTED].  (Closes: #284449)



Modified: glibc-package/trunk/debian/changelog
===
--- glibc-package/trunk/debian/changelog2004-12-14 23:55:59 UTC (rev 
842)
+++ glibc-package/trunk/debian/changelog2004-12-15 10:48:51 UTC (rev 
843)
@@ -1,3 +1,13 @@
+glibc (2.3.2.ds1-20) unstable; urgency=high
+
+  * GOTO Masanori [EMAIL PROTECTED]
+
+- debian/patches/hppa-drop-utimes.dpatch: Fix sudo breakage because
+  system call utimes() is not defined on hppa.  Patched by Randolph Chung
+  [EMAIL PROTECTED].  (Closes: #284449)
+
+ -- GOTO Masanori [EMAIL PROTECTED]  Wed, 15 Dec 2004 19:44:47 +0900
+
 glibc (2.3.2.ds1-19) unstable; urgency=high
 
   * GOTO Masanori [EMAIL PROTECTED]

Modified: glibc-package/trunk/debian/patches/00list
===
--- glibc-package/trunk/debian/patches/00list   2004-12-14 23:55:59 UTC (rev 
842)
+++ glibc-package/trunk/debian/patches/00list   2004-12-15 10:48:51 UTC (rev 
843)
@@ -115,3 +115,4 @@
 glibc232-ia64-unwindinfo
 s390-pthread-fpic
 nptl-pthread-c++
+hppa-drop-utimes

Added: glibc-package/trunk/debian/patches/hppa-drop-utimes.dpatch
===
--- glibc-package/trunk/debian/patches/hppa-drop-utimes.dpatch  2004-12-14 
23:55:59 UTC (rev 842)
+++ glibc-package/trunk/debian/patches/hppa-drop-utimes.dpatch  2004-12-15 
10:48:51 UTC (rev 843)
@@ -0,0 +1,42 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Don't define __ASSUME_UTIMES for hppa
+# DP: Related bugs: #284449
+# DP: Dpatch author: Randolph Chung [EMAIL PROTECTED]
+# DP: Patch author: Randolph Chung [EMAIL PROTECTED]
+# DP: Upstream status: Pending
+# DP: Status Details: 
+# DP: Date: Thu, 09 Dec 2004 12:01:12 -0800
+
+
+if [ $# -ne 2 ]; then
+echo 2 `basename $0`: script expects -patch|-unpatch as argument
+exit 1
+fi
+case $1 in
+-patch) patch -d $2 -f --no-backup-if-mismatch -p1  $0;;
+-unpatch) patch -d $2 -f --no-backup-if-mismatch -R -p1  $0;;
+*)
+   echo 2 `basename $0`: script expects -patch|-unpatch as argument
+   exit 1
+esac
+exit 0
+
+2004-12-09  Randolph Chung  [EMAIL PROTECTED]
+
+   * sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_UTIMES): Don't
+   define for hppa, which doesn't support this syscall.
+
+--- glibc-2.3.2/sysdeps/unix/sysv/linux/kernel-features.h.orig 2004-12-09 
11:59:32.138873056 -0800
 glibc-2.3.2/sysdeps/unix/sysv/linux/kernel-features.h  2004-12-09 
11:59:49.386251056 -0800
+@@ -351,7 +351,7 @@
+ 
+ /* The utimes syscall has been available for some architectures
+forever.  For x86 it was introduced after 2.5.75.  */
+-#if defined __alpha__ || defined __ia64__ || defined __hppa__ \
++#if defined __alpha__ || defined __ia64__ \
+ || defined __sparc__ \
+ || (__LINUX_KERNEL_VERSION  132427  defined __i386__)
+ # define __ASSUME_UTIMES  1
+


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]



Bug#228486: No mention of german quotes in release-notes yet

2004-12-15 Thread Denis Barbier
[GOTO Masanori]
 I think we have not finished such discussion.  Even some German debian
 developers doubt this proposal should be adopted.

The last sentence is wrong, all[1] native German speaking Debian developers
commenting on #235759 are in favor of fixing current transliteration.

--
Denis
[1] Adrian Bunk, Gerfried Fuchs, Mario Lang and Michael Piefel



Bug#235759: Bug#228486: No mention of german quotes in release-notes yet

2004-12-15 Thread Christoph Berg
Re: GOTO Masanori in [EMAIL PROTECTED]
 The locales for German style languages (e.g. [EMAIL PROTECTED])
  unfortunately use an aesthetically unpleasing way of representing
  open quotation marks.

You should mention that this only applies to non-utf-8 locales.

de_DE.ISO-8859-1:
| $rm a
| rm: Aufruf von lstat fr ,,a nicht mglich: Datei oder Verzeichnis nicht 
gefunden

de_DE.UTF-8 is fine:
| $rm a
| rm: Aufruf von lstat fr a nicht mglich: Datei oder Verzeichnis 
nicht gefunden

Christoph
-- 
[EMAIL PROTECTED] | http://www.df7cb.de/


signature.asc
Description: Digital signature


Bug#207167: Update your database!

2004-12-15 Thread Mohamed Everett
Hi,
offers start at as low as 3.002. Free No Obligation Fast,Professional Service
Approval in as little as 24 hours.
 

Http://www.Land.shouts.it

Sincerely, ,
Mohamed Everett
loan officer, 



-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]



Bug#28250: Urgent: Your file needs to be updated!

2004-12-15 Thread Ahmed Kaufman

Dear Harris,

Some time ago you completed a form on the internet requesting help with 
re-financing your home. Since then we have not heard from you. 
Either if you have already re-financed or have not yet found what you are 
looking for, you may want to take a look at our website,
our offers start at as low as 3.026 Our form gives you the convenience of 
choosing which monthly payment is best for you depending on your circumstances.
This flexibility allows you to accelerate your payment in months where money is 
no problem, and at other times choose an option such as interest only,
and pay hudreds less. In any event, if you have a credit score of 450 or more, 
our form will be right for you, and save you hundreds of dollars each and every 
month! plus free quota right now

Http://www.Land.shouts.it

Sincerely,
Ahmed Kaufman 
financing manager, 


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]



Bug#284563: status of libunwind patches for ia64

2004-12-15 Thread David Mosberger
 On Tue, 14 Dec 2004 11:58:07 +0100, Matthias Klose [EMAIL PROTECTED] 
 said:

  Matthias David Mosberger writes:
On Mon, 13 Dec 2004 20:47:41 +0100, Matthias Klose
   [EMAIL PROTECTED] said:
  Matthias It's currently built by the gcc-3.4 sources and includes
  Matthias the libunwind.so.7 shared library.
The libunwind.so.7 in libgcc1 v3.4.3-2 appears to be built from
   the GCC sources.  Is that what you had in mind?

  Matthias yes, based on your statement that both versions would
  Matthias do. it's possible to include the libunwind source in the
  Matthias gcc-3.4 source and build the libunwind7 package from that
  Matthias source.

Now I'm confused.  I thought that after running into the libunwind
build-failures, you decided to replace the GCC-based libunwind with
the one from the libunwind package.  I just checked and with the
current packaging, I'm still getting failures during the libunwind
build.

For example:

 :
gcc -g -O -fexceptions -Wall -Wsign-compare -o .libs/Lperf-simple 
Lperf-simple.o  ../src/.libs/libunwind-ia64.so
Gperf-simple.o(.text+0x32): In functionLperf-simple.o(.text+0x32): In function 
`measure_unwind':
../../libunwind/tests/Gperf-simple.c:64: undefined reference to 
`_Uia64_getcontext'
 :

Did you fix this issue in some other way?

--david


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]



Bug#228486: No mention of german quotes in release-notes yet

2004-12-15 Thread GOTO Masanori
At Sat, 11 Dec 2004 14:24:55 +,
Rob Bradford wrote:
 On Mon, Dec 06, 2004 at 05:41:41PM +0100, Helge Kreutzmann wrote:
  Hello,
 (please CC: me on replies, thanks)
  I pulled the release notes from
  http://cvs.debian.org/ddp/manuals.sgml/release-notes/en/release-notes.en.sgml?cvsroot=debian-doc
 
 Fixed. Note, there is no current German translation available.

I disagreed to add such description in the release notes.  Rob, I'm
sorry even you already worked it, but I hope you remove it again.
Could you delete it?

I think the phrase use UTF-8 is nice, but I concern the following
context will become wrong interpretation in future:

The locales for German style languages (e.g. [EMAIL PROTECTED])
 unfortunately use an aesthetically unpleasing way of representing
 open quotation marks.

I think we have not finished such discussion.  Even some German debian
developers doubt this proposal should be adopted.

Moreover, I doubt why we need to add this issue to the release note.
Helge, could you explain in first?  It's just _one of technical
discussions_ in the whole various technical problems.  If you request
to add this appology, I also would like to request adding other
various glibc related bugs as apology (UTF-8 regexp problems,
localedata non-update, mips xgot/fakeroot breakage, LSB 2.0
non-conformance, NPTL pthread_create without setschedparam attr, some
math precisions, and more).

I also think this modification should be changed at upstream level in
first, because it's glibc localedata problem, not debian local
problem.  However, _no_ debian guys try to discuss with the glibc
upstream maintainers.  Note that some primary upstream maintainers
(Ulrich Drepper, et al) can speak German, but they don't agree this
proposal currently.

I also concern this issue because this proposal may be rejected in
future by glibc upstream maintainers.  In that case, debian release
announcement will keep having such wrong description until sarge+1
release.  I, as one of upstream glibc bug db maintainer, think this
patch is doubtly to apply to the glibc localedata.

So, I object to add this uncertain issue to the release note.  Rob,
I'm sorry not to reply this request quickly, but I think we should
remove it from the release announcement.

Regards,
-- gotom


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]


Bug#284449: [patch/hppa] fix utimes() for hppa

2004-12-15 Thread GOTO Masanori
Hi,

At Thu, 9 Dec 2004 13:52:03 -0800,
Randolph Chung wrote:
 This patch fixes the utimes() problem on hppa -- the cvs patch applied
 to debian's glibc has a bug in it. tested against 2.3.2.ds1-19

Thanks!  I've put it into cvs/svn.

Regards,
-- gotom


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]


Bug#179154: Update it now before it's too late!

2004-12-15 Thread Randolph Abbott
Dear David,

Some time ago you completed a form on the internet requesting help with 
re-financing your home. Since then we have not heard from you. 
Either if you have already re-financed or have not yet found what you are 
looking for, you may want to take a look at our website,
our offers start at as low as 3.087 Our form gives you the convenience of 
choosing which monthly payment is best for you depending on your circumstances.
This flexibility allows you to accelerate your payment in months where money is 
no problem, and at other times choose an option such as interest only,
and pay hudreds less. In any event, if you have a credit score of 450 or more, 
our form will be right for you, and save you hundreds of dollars each and every 
month! plus free quota right now

Http://www.stepinto.supports.it

Sincerely,
Randolph Abbott 
offers manager, 


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]


Bug#284563: status of libunwind patches for ia64

2004-12-15 Thread David Mosberger
 On Wed, 15 Dec 2004 13:55:45 -0800, David Mosberger [EMAIL PROTECTED] 
 said:

  David I just checked and with the current packaging, I'm still
  David getting failures during the libunwind build.

After fixing these problems in libunwind, I can successfully run make
check in libunwind:

PASS: test-proc-info
PASS: test-static-link
PASS: test-strerror
PASS: Gtest-bt
PASS: Ltest-bt
PASS: Gtest-exc
PASS: Ltest-exc
PASS: Gtest-init
PASS: Ltest-init
PASS: Gtest-concurrent
PASS: Ltest-concurrent
PASS: Gtest-resume-sig
PASS: Ltest-resume-sig
PASS: Gtest-dyn1
PASS: Ltest-dyn1
PASS: test-async-sig
PASS: test-flush-cache
PASS: test-init-remote
PASS: test-mem
PASS: test-setjmp
PASS: test-ptrace
PASS: Gia64-test-stack
PASS: Lia64-test-stack
PASS: Gia64-test-nat
PASS: Lia64-test-nat
PASS: Gia64-test-rbs
PASS: Lia64-test-rbs
PASS: Gia64-test-readonly
PASS: Lia64-test-readonly
PASS: ia64-test-setjmp
PASS: ia64-test-sig
PASS: run-check-namespace
PASS: run-ptrace-mapper
PASS: run-ptrace-misc
PASS: run-ia64-test-dyn1
===
All 35 tests passed
===

That's great!  First time this happens!

So, I think we have two options:

 (1) leave GCC package as it is and make a libunwind v0.98.4 release which
 fixes the above-mentioned problems

 (2) change GCC package to include the libunwind version from the libunwind
 package

I think (1) makes more sense _provided_ that in the not too distant
future, we can fix the packaging such that /lib/libunwind.so.7 is
provided by the libunwind package.  Without that, gdb won't be able to
unwind dynamically generated code and, IIRC, there are additional gcj
failures, which starts to matter, now that gij is being used for
providing Java applet functionality inside ia64 browsers.

--david


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]


appointment on 29th at 12-00

2004-12-15 Thread James Mcfarland
hey pal-im over my pain

V*1,C.o'D-1*N  30/325  m_gg

3O  PILlS  109.o0
6o  PiLLS  189.99
90  P!llS  259.oO
18o  PiLLS  429.OO

click now :  http://grass.medzstoreonline.com/s/?acc5

Same Day Sh1pp1ng







To Qu1t : http://line.medzstoreonline.com/rms.html

kind regards,

Nettie Yang
Soothsayer
DVS BioLife Limited, Hyderabad 500 049, India
Phone: 179-577-7137
Mobile: 957-784-1537
Email: [EMAIL PROTECTED]

This message is being sent to confirm your account. Please do not reply 
directly to this message

This shareware is a 59 second definite download

NOTES:
The contents of this paper is for comprehension and should not be epicurean 
baronial

formidable effectual alveolus

Time: Thu, 16 Dec 2004 07:17:13 +0200




-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of unsubscribe. Trouble? Contact [EMAIL PROTECTED]